Workround compile error with old PCRE versions
authorNigel Metheringham <nigel@exim.org>
Wed, 26 Jan 2011 11:04:32 +0000 (11:04 +0000)
committerNigel Metheringham <nigel@exim.org>
Wed, 26 Jan 2011 11:04:32 +0000 (11:04 +0000)
Fixes bug #1073

doc/doc-txt/ChangeLog
src/src/exim.c

index b18bc05..96cec24 100644 (file)
@@ -3,6 +3,13 @@ $Cambridge: exim/doc/doc-txt/ChangeLog,v 1.632 2010/06/12 15:21:25 jetmore Exp $
 Change log file for Exim from version 4.21
 -------------------------------------------
 
+Exim version 4.75
+-----------------
+
+NM/01 Workround for PCRE version dependancy in version reporting
+      Bugzilla 1073
+
+
 Exim version 4.74
 -----------------
 
index e236975..b3035ca 100644 (file)
@@ -931,8 +931,13 @@ DEBUG(D_any) do {
              "                       Runtime: %s\n",
           PCRE_MAJOR, PCRE_MINOR,
           /* PRE_PRERELEASE is either defined and empty or a string.
-           * This should work: */
+           * unless its an ancient version of PCRE in which case it
+           * is not defined */
+#ifdef PCRE_PRERELEASE
           PCRE_PRERELEASE "",
+#else
+          "",
+#endif
           pcre_version());
 
   init_lookup_list();